import 'package:flutter/material.dart';
import 'package:ternak/components/login_form.dart';

class Login extends StatelessWidget {
  const Login({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.grey[50],
      body: SafeArea(
        child: Container(
          decoration: BoxDecoration(
            gradient: LinearGradient(
              begin: Alignment.topCenter,
              end: Alignment.bottomCenter,
              colors: [
                const Color(0xFF1D91AA).withOpacity(0.05),
                Colors.white,
              ],
            ),
          ),
          child: Center(
            child: SingleChildScrollView(
              child: Padding(
                padding: const EdgeInsets.all(24.0),
                child: Column(
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: <Widget>[
                    // Logo and title section
                    Container(
                      margin: const EdgeInsets.only(bottom: 30),
                      child: Column(
                        children: <Widget>[
                          // App logo
                          Container(
                            padding: const EdgeInsets.all(16),
                            // decoration: BoxDecoration(
                            //   color: Colors.white,
                            //   shape: BoxShape.circle,
                            //   boxShadow: [
                            //     BoxShadow(
                            //       color: Colors.black.withOpacity(0.1),
                            //       blurRadius: 20,
                            //       spreadRadius: 0,
                            //       offset: const Offset(0, 2),
                            //     ),
                            //   ],
                            // ),
                            child: Image.asset(
                              "assets/images/login-logo.jpg",
                              width: 120,
                            ),
                          ),
                          const SizedBox(height: 20),
                          // App name
                          const Text(
                            "QR-Sheep",
                            style: TextStyle(
                              fontWeight: FontWeight.w900,
                              fontSize: 32,
                              color: Color(0xFF1D91AA),
                              letterSpacing: 1.2,
                            ),
                          ),
                          const SizedBox(height: 8),
                          Text(
                            "Manajemen Ternak Dengan Mudah",
                            style: TextStyle(
                              fontSize: 14,
                              fontWeight: FontWeight.w500,
                              color: Colors.grey[600],
                            ),
                          ),
                        ],
                      ),
                    ),
                    
                    // Login form card
                    Card(
                      elevation: 4,
                      shadowColor: Colors.black.withOpacity(0.1),
                      shape: RoundedRectangleBorder(
                        borderRadius: BorderRadius.circular(16),
                      ),
                      child: const Padding(
                        padding: EdgeInsets.all(16.0),
                        child: LoginForm(),
                      ),
                    ),
                  ],
                ),
              ),
            ),
          ),
        ),
      ),
    );
  }
}
